PHPExcel_CachedObjectStorageFactory

category | PHPExcel
package | PHPExcel_CachedObjectStorage
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Clear the cache storage

    finalize()

Static

## Return the list of all possible cache storage methods

    getAllCacheStorageMethods() : string[]

Static

### Returns

`string[]`

## Return the current cache storage class

    getCacheStorageClass() : \PHPExcel_CachedObjectStorage_ICache | NULL

Static

### Returns

`\PHPExcel_CachedObjectStorage_ICache` `NULL`

## Return the current cache storage method

    getCacheStorageMethod() : string | NULL

Static

### Returns

`string` `NULL`

## Return the list of all available cache storage methods

    getCacheStorageMethods() : string[]

Static

### Returns

`string[]`

## Initialise the cache storage

    getInstance(\PHPExcel_Worksheet $parent) : \PHPExcel_CachedObjectStorage_ICache

Static

### Parameters

#### $parent

`\PHPExcel_Worksheet`

Enable cell caching for this worksheet

### Returns

`\PHPExcel_CachedObjectStorage_ICache`

## Identify the cache storage method to use

    initialize(string $method, array $arguments) : boolean

Static

### Parameters

#### $method

`string`

Name of the method to use for cell cacheing

#### $arguments

`array`

of mixed $arguments Additional arguments to pass to the cell caching class when instantiating

### Returns

`boolean`

### Properties

##

    $_cacheStorageClass : string

##

    $_cacheStorageMethod : string

##

    $_storageMethodDefaultParameters : array

##

    $_storageMethodParameters : array

##

    $_storageMethods : string[]

### Constants

## cache_igbinary

    cache_igbinary

## cache_in_memory

    cache_in_memory

## cache_in_memory_gzip

    cache_in_memory_gzip

## cache_in_memory_serialized

    cache_in_memory_serialized

## cache_to_apc

    cache_to_apc

## cache_to_discISAM

    cache_to_discISAM

## cache_to_memcache

    cache_to_memcache

## cache_to_phpTemp

    cache_to_phpTemp

## cache_to_sqlite

    cache_to_sqlite

## cache_to_sqlite3

    cache_to_sqlite3

## cache_to_wincache

    cache_to_wincache